Oracle Coherence for C++ API
Release 3.6.0.0
E15728-01

- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ConverterCollections::ConverterMap Class Reference

`#include <coherence/util/ConverterCollections.hpp>`

Inherits WrapperCollections::AbstractWrapperMap.

Inherited by ConverterCollections::ConverterConcurrentMap, ConverterCollections::ConverterInvocableMap, ConverterCollections::ConverterObservableMap, and ConverterCollections::ConverterQueryMap.

List of all members.

## Detailed Description

A ConverterMap views an underlying Map through a Converter.

## Public Types
typedef spec::Handle | Handle
| ConverterMap Handle definition.
typedef spec::View | View
| ConverterMap View definition.
typedef spec::Holder | Holder
| ConverterMap Holder definition.
## Public Member Functions
virtual bool | containsKey (Object::View vKey) const
  | Return `true` if this map contains a mapping for the specified key. Parameters:
  | vKey | key whose presence in this map is to be tested.
Returns: `true` if this map contains a mapping for the specified key.
virtual bool | containsValue (Object::View vValue) const
  | Return `true` if this map maps one or more keys to the specified value. This operation will probably require time linear in the map size for most implementations of the `Map` interface. Parameters:
  | vValue | value whose presence in this map is to be tested.
Returns: `true` if this map maps one or more keys to the specified value.
virtual Object::Holder | get (Object::View vKey) const
  | Return the value to which this map maps the specified key. Return `NULL` if the map contains no mapping for this key. A return value of `NULL` does not necessarily indicate that the map contains no mapping for the key; it's also possible that the map explicitly maps the key to `NULL`. The `containsKey` operation may be used to distinguish these two cases. Parameters:
  | vKey | key whose associated value is to be returned.
Returns: the value to which this map maps the specified key, or `NULL` if the map contains no mapping for this key. See also: containsKey()
virtual Object::Holder | put (Object::View vKey, Object::Holder ohValue)
  | Associate the specified value with the specified key in this map. If the map previously contained a mapping for this key, the old value is replaced by the specified value. Parameters:
  | vKey | key with which the specified value is to be associated.
  | ohValue | value to be associated with the specified key.
  Returns: previous value associated with specified key, or `NULL` if there was no mapping for key. A `NULL` return can also indicate that the map previously associated `NULL` with the specified key. Exceptions:
  | coherence::lang::UnsupportedOperationException | if the put() operation is not supported by this map.
virtual Object::Holder | remove (Object::View vKey)
  | Remove the mapping for this key from this map if it is present. Return the value to which the map previously associated the key, or `NULL` if the map contained no mapping for this key. (A `NULL` return can also indicate that the map previously associated `NULL` with the specified key.) The map will not contain a mapping for the specified key once the call returns. Parameters:
  | vKey | key whose mapping is to be removed from the map.
  Returns: previous value associated with specified key, or `NULL` if there was no mapping for key. Exceptions:
  | coherence::lang::UnsupportedOperationException | if the remove() operation is not supported by this map.
virtual void | putAll (Map::View vMap)
  | Copy all of the mappings from the specified map to this map. The effect of this call is equivalent to that of calling put(k, v) on this map once for each mapping from key `k` to value `v` in the specified map. The behavior of this operation is unspecified if the specified map is modified while the operation is in progress. Parameters:
  | vMap | mappings to be stored in this map.
  Exceptions:
  | coherence::lang::UnsupportedOperationException | if the put() operation is not supported by this map.
virtual Set::View | keySet () const
| Return a set of the keys contained in this map. The set is backed by the map, so changes to the map are reflected in the set. If the map is modified while an iteration over the set is in progress, the results of the iteration are undefined. Returns: a set of the keys contained in this map.
virtual Set::Handle | keySet ()
| Return a set of the keys contained in this map. The set is backed by the map, so changes to one are reflected in the other. If the map is modified while an iteration over the set is in progress, the results of the iteration are undefined. Returns: a set of the keys contained in this map.
virtual Collection::View | values () const
| Return a collection of the values contained in this map. The collection is backed by the map, so changes to the map are reflected in the set. If the map is modified while an iteration over the collection is in progress, the results of the iteration are undefined. Returns: a collection of the values contained in this map.
virtual Collection::Handle | values ()
| Return a collection of the values contained in this map. The collection is backed by the map, so changes to one are reflected in the other. If the map is modified while an iteration over the collection is in progress, the results of the iteration are undefined. Returns: a collection of the values contained in this map.
virtual Set::View | entrySet () const
| Return a set of the mappings contained in this map. Each element in the returned set is a Map::Entry::View. The set is backed by the map, so changes to the map are reflected in the set. If the map is modified while an iteration over the set is in progress, the results of the iteration are undefined. Returns: a set of the mappings contained in this map.
virtual Set::Handle | entrySet ()
| Return a set of the mappings contained in this map. Each element in the returned set is a Map::Entry::Handle. The set is backed by the map, so changes to one are reflected in the other. If the map is modified while an iteration over the set is in progress, the results of the iteration are undefined. Returns: a set of the mappings contained in this map.
virtual bool | equals (Object::View that) const
virtual size32_t | hashCode () const
| Return a hash code value for the Object. This method is supported for the benefit of hash-based containers. The general contract of `hashCode` is: Whenever it is invoked on the same Object more than once during an execution of an application, the `hashCode` method must consistently return the same value, provided no information used in `equals` comparisons on the object is modified. This value need not remain consistent from one execution of an application to another execution of the same application. If two Objects are equal according to the `equals` method, then calling the `hashCode` method on each of the two Objects must produce the same value. It is not required that if two Objects are unequal according to the `equals` method, then calling the `hashCode` method on each of the two objects must produce distinct results. However, the programmer should be aware that producing distinct results for unequal objects may improve the performance of hash-based containers. The default implementation is identity based. Returns: a hash code value for this Object
virtual void | toStream (std::ostream &out) const
| Output a human-readable description of this Object to the given stream. coherence::lang::operator<<(std::ostream, Object::View) is defined and will call into the toStream method, to output Objects. If a managed String object is desired, the COH_TO_STRING macro can be used to build up a String from streamable contents.
     Object::View vKey   = ...
     Object::View vValue = ...
     std::cout << vKey << " = " << vValue << std::endl;

     String::Handle hs = COH_TO_STRING(vKey << " = " << vValue);
  Parameters:
  | out | the stream used to output the description
virtual EntryConverter::View | getUpConverter () const
| Get the up converter, which is used to convert from the underlying entries in the Map.
virtual EntryConverter::View | getDownConverter () const
| Get the down converter, which is used to convert to the underlying entries in the Map.
## Protected Member Functions
| ConverterMap (Map::Handle hMapDelegate, EntryConverter::View vConvUp, EntryConverter::View vConvDown)
| Create a WrapperCollections::AbstractWrapperMap which delegates to the specified Map.
| ConverterMap (Map::View vMapDelegate, EntryConverter::View vConvUp, EntryConverter::View vConvDown)
| Create a WrapperCollections::AbstractWrapperMap which delegates to the specified Map.
| ConverterMap (const ConverterMap &that)
| Copy constructor.
## Protected Attributes
FinalView < EntryConverter > | m_vConvUp
| The Converter from the underlying entries in the Map.
FinalView < EntryConverter > | m_vConvDown
| The Converter to the underlying entries in the Map.

## Constructor & Destructor Documentation

ConverterMap | ( | Map::Handle | hMapDelegate,
|  | EntryConverter::View | vConvUp,
|  | EntryConverter::View | vConvDown |
| ) |  |  | `[protected]`

Create a WrapperCollections::AbstractWrapperMap which delegates to the specified Map.

Parameters:

  | hMap | the specified Map
  | vConvUp | the EntryConverter from the underlying Map
  | vConvDown | the EntryConverter to the underlying Map

ConverterMap | ( | Map::View | vMapDelegate,
|  | EntryConverter::View | vConvUp,
|  | EntryConverter::View | vConvDown |
| ) |  |  | `[protected]`

Create a WrapperCollections::AbstractWrapperMap which delegates to the specified Map.

Parameters:

  | vMap | the specified Map
  | vConvUp | the EntryConverter from the underlying Map
  | vConvDown | the EntryConverter to the underlying Map

## Member Function Documentation

virtual EntryConverter::View getUpConverter | ( |  | ) | const `[virtual]`

Get the up converter, which is used to convert from the underlying entries in the Map.

Returns:
  the up converter

virtual EntryConverter::View getDownConverter | ( |  | ) | const `[virtual]`

Get the down converter, which is used to convert to the underlying entries in the Map.

Returns:
  the down converter

The documentation for this class was generated from the following file:

- coherence/util/ConverterCollections.hpp

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.